升级 Angular CLI ,将 ng 项目旧的 CLI 配置转换为新的 CLI 配置

由于更换了新的电脑,重新安装了 Angular CLI , 但是在 ng s 项目时出现了如下提示

Your global Angular CLI version (6.0.8) is greater than your local
version (6.0.5). The local Angular CLI version is used.

To disable this warning use "ng config -g cli.warnings.versionMismatch false".

意思是本地的版本是 6.0.5 安装的 CLI 版本是 6.0.8 . 所以需要升级 NG CLI, 解决方案如下:

Angular CLI 升级
更新到最新的命令

ng update @angular/cli

命令会将旧的 CLI 配置转换为新的 CLI 配置

更多参考 :Github issues

还可以访问 https://update.angular.io/ 来升级你的 Angular 应用 。

升级 Angular 项目

ng update --all

升级 Angular CLI ,将 ng 项目旧的 CLI 配置转换为新的 CLI 配置》上有2条评论

  1. Raina

    I believe this is among the so much important information forr me.
    And i’m glad reading your article.
    The web site taste is great, thhe articles is in reality
    great : D. Good process, cheers

    回复

发表评论

电子邮件地址不会被公开。 必填项已用*标注